> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetAllDeposits

> GetAllDeposits is called by the bidder to get all its deposits in the bidder registry,
and the balance of the bidder EOA itself.



## OpenAPI

````yaml /v1.2.x/api-reference/bidder-openapi-spec.json get /v1/bidder/get_all_deposits
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.2.0-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/get_all_deposits:
    get:
      summary: GetAllDeposits
      description: >-
        GetAllDeposits is called by the bidder to get all its deposits in the
        bidder registry,

        and the balance of the bidder EOA itself.
      operationId: Bidder_GetAllDeposits
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1GetAllDepositsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1GetAllDepositsResponse:
      type: object
      properties:
        deposits:
          type: array
          items:
            $ref: '#/components/schemas/v1DepositInfo'
        bidderBalance:
          type: string
      description: GetAllDeposits response.
      title: GetAllDeposits response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1DepositInfo:
      type: object
      properties:
        provider:
          type: string
        amount:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````